Вопрос Я рекомендую обновить с 14.04 до 15.04, но это не удается


Каждый раз, когда я перезагружаю полностью обновленный ноутбук Ubuntu 14.04 amd64  Я приветствую это диалоговое окно при входе в систему:

Ubuntu 15.04 Upgrade Available Dialogue Window

Когда я нажимаю кнопку «Да, обновляю сейчас», я вижу этот очень перспективный диалог:

Release Notes: Welcome to Ubuntu 15.04 'Vivid Vervet'

EDIT: В конце концов, это не многообещающий диалог! Предлагаемый путь обновления 14.04 -> 15.04 невозможен. Вместо этого он должен предложить 14.10 или следующую LTS. См. Ошибку, которую я опубликовал об этом Вот,

Но когда я нажимаю кнопку «Upgrade» и набираю свой пароль, я вижу следующее:

Failed to fetch: Fetching the upgrade failed. There may be a network problem.

Я могу со 100% уверенностью сказать, что нет проблем с сетью (я слушаю интернет-радиостанцию ​​при написании этого в своем браузере).

Поэтому я решил посмотреть, смогу ли я уговорить более значимые сообщения об ошибках, снова выполнив обновление с помощью командной строки. Я открываю терминал и запускаю команду sudo do-release-upgrade, Я получаю следующий журнал:

lennart@katana:~$ sudo do-release-upgrade 
[sudo] password for lennart: 
Checking for a new Ubuntu release
Err Upgrade tool signature                                                     
  403  Sorry, not allowed to fetch that type of file: vivid.tar.gz.gpg         
Err Upgrade tool                                                               
  403  Sorry, not allowed to fetch that type of file: vivid.tar.gz             
Fetched 0 B in 0s (0 B/s)                                                      
WARNING:root:file 'vivid.tar.gz.gpg' missing
Failed to fetch
Fetching the upgrade failed. There may be a network problem. 
lennart@katana:~$

Так что теперь я в тупике. Нет ли способа выполнить это обновление? Где я должен искать способы продолжения или устранения этой проблемы? Я очень люблю свою текущую установку, она настроена отлично, и она довольно бесшумная. Я действительно хотел бы сохранить его, если это возможно.

Любые подсказки приветствуются. Благодаря!


3
2018-01-25 19:12


происхождения


Пожалуйста, не делайте этого. Вы не можете пропускать выпуски, но почему-то менеджер обновлений предлагает это. Я видел такие проблемы с 30 декабря. Я рекомендую выбрать «Не обновлять». - xangua
Вы можете увидеть здесь дубликат вашей проблемы (что в итоге оказалось неправильным из-за пропусков выпуска) askubuntu.com/questions/724635/... по какой-то причине менеджер обновлений предлагает неправильный путь обновления. - xangua
Как я могу сказать своей системе попробовать 14.10? - Lennart Rolland
Обратите внимание, что Ubuntu 14.04 по-прежнему поддерживается и будет продолжаться еще три года. Если вы решите модернизировать, вам придется обновляться один за другим и постепенно от Ubuntu 14.04 до 14.10, 15.04 и 15.10. Так вам действительно нужно обновить? Я повторяю еще раз, что по какой-то причине менеджер обновлений предлагает неправильный путь обновления, он должен быть на первом месте. - xangua
Я очень хочу посидеть ближе к краю. Если поддерживается 14.04, тогда может появиться надежда, что только что представленный мной отчет будет исправлен, и я смогу двигаться до того, как мои 3 года будут! - Lennart Rolland


ответы:


Кажется, что мой кв-бинокль установка мешала.

Я просто удалил свой /etc/apt/apt.conf.d/01proxy, затем приступил к запуску

apt-get update
apt-get upgrade
apt-get dist-upgrade

и, наконец, при запуске

do-release-upgrade

он перестал скулить по этому поводу:

403 Извините, не удалось получить этот тип файла: vivid.tar.gz.gpg

ПРИМЕЧАНИЕ. Настройки прокси-сервера могут отличаться от моих. Ищите файл внутри /etc/apt/apt.conf.d/ который содержит строковый прокси.


0
2017-09-01 15:42